local frame = CreateFrame("FRAME");
frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
local tracklist = {
	--Battle Rezs
	[20484] = true;		--Rebirth
	[61999] = true;		--Raise Ally
	[20707] = true;		--Soulstone Resurrection
	[95750] = true;		--Soulstone Resurrection 2???			
	[20608] = true;		--Reincarnation
	--Healing CDs
	[633]   = true;		--Lay on Hands
	[47788]	= true;		--Guardian Spirit
	[740] 	= true;		--Tranquility
	[98888] = true;		--Power Word: Barrier
	[98008]	= true;		--Spirit Link Totem
}
frame:SetScript("OnEvent", function(self, event, ...) 
	isInstance, instanceType = IsInInstance()
	if (instanceType == raid) then
		if IsRaidOfficer() then canTalk = true end
		if IsRealRaidLeader()  then canTalk = true end
		if (canTalk) then
		  local timestamp, type, hideCaster, sourceGUID, sourceName, sourceFlags, destGUID, destName, destFlags = ...
		  if (event == "COMBAT_LOG_EVENT_UNFILTERED") then
			if (type == "SPELL_RESURRECT" or type == "SPELL_CAST_SUCCESS") then
				local spellId, spellName, spellSchool = select(10, ...)
				if (tracklist[spellId]) then
					if (destName) then
						SendChatMessage(sourceName.." cast "..GetSpellLink(spellName).." on "..destName..".", "RAID_WARNING", "COMMON");
					else
						SendChatMessage(sourceName.." cast "..GetSpellLink(spellName), "RAID_WARNING", "COMMON");
					end
				end
			end
		  end
	  end
	end
end);